Package com.independentsoft.calc.engine

# Class OdfBackend

java.lang.Object
com.independentsoft.calc.engine.OdfBackend

public final class OdfBackend extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static GregorianCalendar`
  `DefaultEpoch`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `build​(WorkbookModel model, Spreadsheet document)`
  `static String`
  `formatDuration​(double days)`
  `static String`
  `formatIsoDate​(double serial, OutBool hasTime)`
  `static String`
  `getDisplayText​(Cell cell)`
  `static boolean`
  `isRepresentableDate​(double serial)`
  `static CalcValue`
  `parseCachedValue​(Cell cell)`
  `static boolean`
  `tryParseDuration​(String duration, OutDouble days)`
  `static boolean`
  `tryParseIsoToSerial​(String iso, OutDouble serial)`
  `static boolean`
  `tryParseLocalizedError​(String s, Out<CalcErrorType> error)`
  `static boolean`
  `writeBack​(CellSlot slot, CalcValue v, boolean removeFormulas)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DefaultEpoch

    public static final GregorianCalendar DefaultEpoch

- ## Method Details

  - ### build

    public static void build​(WorkbookModel model, Spreadsheet document)

  - ### parseCachedValue

    public static CalcValue parseCachedValue​(Cell cell)

  - ### tryParseLocalizedError

    public static boolean tryParseLocalizedError​(String s, Out<CalcErrorType> error)

  - ### getDisplayText

    public static String getDisplayText​(Cell cell)

  - ### tryParseIsoToSerial

    public static boolean tryParseIsoToSerial​(String iso, OutDouble serial)

  - ### tryParseDuration

    public static boolean tryParseDuration​(String duration, OutDouble days)

  - ### formatDuration

    public static String formatDuration​(double days)

  - ### isRepresentableDate

    public static boolean isRepresentableDate​(double serial)

  - ### formatIsoDate

    public static String formatIsoDate​(double serial, OutBool hasTime)

  - ### writeBack

    public static boolean writeBack​(CellSlot slot, CalcValue v, boolean removeFormulas)